import type { ExtensionMetadata } from 'pixijs/extensions';
import type { IRenderer } from '../IRenderer';
import type { ISystem } from '../system/ISystem';
export interface IRendererPlugins extends GlobalMixins.IRendererPlugins {
    [key: string]: any;
}
/**
 * Manages the functionality that allows users to extend pixi functionality via additional plugins.
 * @memberof PIXI
 */
export declare class PluginSystem implements ISystem<IRendererPlugins> {
    /** @ignore */
    static extension: ExtensionMetadata;
    /**
     * Collection of plugins.
     * @readonly
     * @member {object}
     */
    readonly plugins: IRendererPlugins;
    private renderer;
    constructor(renderer: IRenderer);
    /**
     * Initialize the plugins.
     * @protected
     * @param {object} staticMap - The dictionary of statically saved plugins.
     */
    init(staticMap: IRendererPlugins): void;
    destroy(): void;
}
