import type { Graphics } from 'pixijs/graphics';
/**
 * Draw Rectangle with chamfer corners. These are angled corners.
 *
 * _Note: Only available with **pixijs/graphics/extras**._
 * @method PIXI.Graphics#drawChamferRect
 * @param this
 * @param {number} x - Upper left corner of rect
 * @param {number} y - Upper right corner of rect
 * @param {number} width - Width of rect
 * @param {number} height - Height of rect
 * @param {number} chamfer - non-zero real number, size of corner cutout
 * @returns {PIXI.Graphics} Returns self.
 */
export declare function drawChamferRect(this: Graphics, x: number, y: number, width: number, height: number, chamfer: number): Graphics;
