function drawChamferRect(x, y, width, height, chamfer) {
  if (chamfer <= 0) {
    return this.drawRect(x, y, width, height);
  }
  const inset = Math.min(chamfer, Math.min(width, height) / 2);
  const right = x + width;
  const bottom = y + height;
  const points = [
    x + inset,
    y,
    right - inset,
    y,
    right,
    y + inset,
    right,
    bottom - inset,
    right - inset,
    bottom,
    x + inset,
    bottom,
    x,
    bottom - inset,
    x,
    y + inset
  ];
  for (let i = points.length - 1; i >= 2; i -= 2) {
    if (points[i] === points[i - 2] && points[i - 1] === points[i - 3]) {
      points.splice(i - 1, 2);
    }
  }
  return this.drawPolygon(points);
}

export { drawChamferRect };
//# sourceMappingURL=drawChamferRect.mjs.map
