import type { Graphics } from 'pixijs/graphics';
/**
 * Draw Rectangle with fillet corners. This is much like rounded rectangle
 * however it support negative numbers as well for the corner radius.
 *
 * _Note: Only available with **pixijs/graphics/extras**._
 * @method PIXI.Graphics#drawFilletRect
 * @param this
 * @param {number} x - Upper left corner of rect
 * @param {number} y - Upper right corner of rect
 * @param {number} width - Width of rect
 * @param {number} height - Height of rect
 * @param {number} fillet - accept negative or positive values
 * @returns {PIXI.Graphics} Returns self.
 */
export declare function drawFilletRect(this: Graphics, x: number, y: number, width: number, height: number, fillet: number): Graphics;
