function drawFilletRect(x, y, width, height, fillet) {
  if (fillet === 0) {
    return this.drawRect(x, y, width, height);
  }
  const maxFillet = Math.min(width, height) / 2;
  const inset = Math.min(maxFillet, Math.max(-maxFillet, fillet));
  const right = x + width;
  const bottom = y + height;
  const dir = inset < 0 ? -inset : 0;
  const size = Math.abs(inset);
  return this.moveTo(x, y + size).arcTo(x + dir, y + dir, x + size, y, size).lineTo(right - size, y).arcTo(right - dir, y + dir, right, y + size, size).lineTo(right, bottom - size).arcTo(right - dir, bottom - dir, x + width - size, bottom, size).lineTo(x + size, bottom).arcTo(x + dir, bottom - dir, x, bottom - size, size).closePath();
}

export { drawFilletRect };
//# sourceMappingURL=drawFilletRect.mjs.map
