import type { Graphics } from 'pixijs/graphics';
/**
 * Draw a star shape with an arbitrary number of points.
 *
 * _Note: Only available with **pixijs/graphics/extras**._
 * @method PIXI.Graphics#drawStar
 * @param this
 * @param x - Center X position of the star
 * @param y - Center Y position of the star
 * @param points - The number of points of the star, must be > 1
 * @param radius - The outer radius of the star
 * @param innerRadius - The inner radius between points, default half `radius`
 * @param rotation - The rotation of the star in radians, where 0 is vertical
 * @returns - This Graphics object. Good for chaining method calls
 */
export declare function drawStar(this: Graphics, x: number, y: number, points: number, radius: number, innerRadius: number, rotation?: number): Graphics;
