'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('pixijs/core');

class Star extends core.Polygon {
  constructor(x, y, points, radius, innerRadius, rotation = 0) {
    innerRadius = innerRadius || radius / 2;
    const startAngle = -1 * Math.PI / 2 + rotation;
    const len = points * 2;
    const delta = core.PI_2 / len;
    const polygon = [];
    for (let i = 0; i < len; i++) {
      const r = i % 2 ? innerRadius : radius;
      const angle = i * delta + startAngle;
      polygon.push(x + r * Math.cos(angle), y + r * Math.sin(angle));
    }
    super(polygon);
  }
}
function drawStar(x, y, points, radius, innerRadius, rotation = 0) {
  return this.drawPolygon(new Star(x, y, points, radius, innerRadius, rotation));
}

exports.drawStar = drawStar;
//# sourceMappingURL=drawStar.js.map
