'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index = require('./utils/index.js');
var _const = require('./const.js');
var Graphics = require('./Graphics.js');
var GraphicsData = require('./GraphicsData.js');
var GraphicsGeometry = require('./GraphicsGeometry.js');
var FillStyle = require('./styles/FillStyle.js');
var LineStyle = require('./styles/LineStyle.js');
var buildPoly = require('./utils/buildPoly.js');
var buildCircle = require('./utils/buildCircle.js');
var buildRectangle = require('./utils/buildRectangle.js');
var buildRoundedRectangle = require('./utils/buildRoundedRectangle.js');
var buildLine = require('./utils/buildLine.js');
var ArcUtils = require('./utils/ArcUtils.js');
var BezierUtils = require('./utils/BezierUtils.js');
var QuadraticUtils = require('./utils/QuadraticUtils.js');
var BatchPart = require('./utils/BatchPart.js');

const graphicsUtils = {
  buildPoly: buildPoly.buildPoly,
  buildCircle: buildCircle.buildCircle,
  buildRectangle: buildRectangle.buildRectangle,
  buildRoundedRectangle: buildRoundedRectangle.buildRoundedRectangle,
  buildLine: buildLine.buildLine,
  ArcUtils: ArcUtils.ArcUtils,
  BezierUtils: BezierUtils.BezierUtils,
  QuadraticUtils: QuadraticUtils.QuadraticUtils,
  BatchPart: BatchPart.BatchPart,
  FILL_COMMANDS: index.FILL_COMMANDS,
  BATCH_POOL: index.BATCH_POOL,
  DRAW_CALL_POOL: index.DRAW_CALL_POOL
};

exports.GRAPHICS_CURVES = _const.GRAPHICS_CURVES;
exports.LINE_CAP = _const.LINE_CAP;
exports.LINE_JOIN = _const.LINE_JOIN;
exports.curves = _const.curves;
exports.Graphics = Graphics.Graphics;
exports.GraphicsData = GraphicsData.GraphicsData;
exports.GraphicsGeometry = GraphicsGeometry.GraphicsGeometry;
exports.FillStyle = FillStyle.FillStyle;
exports.LineStyle = LineStyle.LineStyle;
exports.graphicsUtils = graphicsUtils;
//# sourceMappingURL=index.js.map
