declare namespace GlobalMixins
{
    // eslint-disable-next-line @typescript-eslint/no-empty-interface
    interface Point extends Vector2Math
    {
    }

    // eslint-disable-next-line @typescript-eslint/no-empty-interface
    interface ObservablePoint extends Vector2Math
    {
    }

    interface Rectangle
    {
        containsRect(other: import('pixijs/math').Rectangle): boolean;

        equals(other: import('pixijs/math').Rectangle): boolean;

        intersection(other: import('pixijs/math').Rectangle): import('pixijs/math').Rectangle;
        intersection<T extends import('pixijs/math').Rectangle>(other: import('pixijs/math').Rectangle, outRect: T): T;

        union(other: import('pixijs/math').Rectangle): import('pixijs/math').Rectangle;
        union<T extends import('pixijs/math').Rectangle>(other: import('pixijs/math').Rectangle, outRect: T): T;
    }
}

interface Vector2Math
{
    add(other: import('pixijs/math').IPointData): import('pixijs/math').Point;
    add<T extends import('pixijs/math').IPointData>(other: import('pixijs/math').IPointData, outPoint: T): T;

    subtract(other: import('pixijs/math').IPointData): import('pixijs/math').Point;
    subtract<T extends import('pixijs/math').IPointData>(other: import('pixijs/math').IPointData, outPoint: T): T;

    multiply(other: import('pixijs/math').IPointData): import('pixijs/math').Point;
    multiply<T extends import('pixijs/math').IPointData>(other: import('pixijs/math').IPointData, outPoint: T): T;

    // divide(other: import('pixijs/math').IPointData): import('pixijs/math').Point;
    // divide<T extends import('pixijs/math').IPointData>(other: import('pixijs/math').IPointData, outPoint: T): T;

    multiplyScalar(scalar: number): import('pixijs/math').Point;
    multiplyScalar<T extends import('pixijs/math').IPointData>(scalar: number, outPoint: T): T;

    dot(other: import('pixijs/math').IPointData): number;

    cross(other: import('pixijs/math').IPointData): number;

    normalize(): import('pixijs/math').Point;
    normalize<T extends import('pixijs/math').IPointData>(outPoint: T): T;

    magnitude(): number;

    magnitudeSquared(): number;

    project(onto: import('pixijs/math').IPointData): import('pixijs/math').Point;
    project<T extends import('pixijs/math').IPointData>(onto: import('pixijs/math').IPointData, outPoint: T): T;

    reflect(normal: import('pixijs/math').IPointData): import('pixijs/math').Point;
    reflect<T extends import('pixijs/math').IPointData>(normal: import('pixijs/math').IPointData, outPoint: T): T;
}
