'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var app = require('pixijs/app');
var assets = require('pixijs/assets');
var core = require('pixijs/core');
require('pixijs/display/cache-as-bitmap');
require('pixijs/display/get-child-by-name');
require('pixijs/display/get-global-position');
require('./adapter/index.js');
var filters = require('./filters.js');
var display = require('pixijs/display');
var extract = require('pixijs/extract');
var filterAlpha = require('pixijs/filter/alpha');
var filterBlur = require('pixijs/filter/blur');
var filterColorMatrix = require('pixijs/filter/color-matrix');
var filterDisplacement = require('pixijs/filter/displacement');
var filterFxaa = require('pixijs/filter/fxaa');
var filterNoise = require('pixijs/filter/noise');
var graphics = require('pixijs/graphics');
var mesh = require('pixijs/mesh');
var meshExtras = require('pixijs/mesh/extras');
var particleContainer = require('pixijs/particle-container');
var prepare = require('pixijs/prepare');
var sprite = require('pixijs/sprite');
var spriteAnimated = require('pixijs/sprite-animated');
var spriteTiling = require('pixijs/sprite-tiling');
var spritesheet = require('pixijs/spritesheet');
var text = require('pixijs/text');
var textBitmap = require('pixijs/text-bitmap');
var NodeCanvasResource = require('./adapter/NodeCanvasResource.js');
var adapter = require('./adapter/adapter.js');
var loadNodeBase64 = require('./adapter/loadNodeBase64.js');
var loadNodeFont = require('./adapter/loadNodeFont.js');
var loadNodeTexture = require('./adapter/loadNodeTexture.js');
var NodeCanvasElement = require('./adapter/NodeCanvasElement.js');

core.extensions.remove(assets.loadTextures, assets.loadWebFont, app.ResizePlugin);
core.INSTALLED.length = 0;
core.INSTALLED.push(NodeCanvasResource.NodeCanvasResource);

Object.defineProperty(exports, 'settings', {
    enumerable: true,
    get: function () { return core.settings; }
});
exports.filters = filters.filters;
exports.NodeCanvasResource = NodeCanvasResource.NodeCanvasResource;
exports.NodeAdapter = adapter.NodeAdapter;
exports.loadNodeBase64 = loadNodeBase64.loadNodeBase64;
exports.loadNodeFont = loadNodeFont.loadNodeFont;
exports.loadNodeTexture = loadNodeTexture.loadNodeTexture;
exports.NodeCanvasElement = NodeCanvasElement.NodeCanvasElement;
Object.keys(app).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return app[k]; }
    });
});
Object.keys(assets).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return assets[k]; }
    });
});
Object.keys(core).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return core[k]; }
    });
});
Object.keys(display).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return display[k]; }
    });
});
Object.keys(extract).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return extract[k]; }
    });
});
Object.keys(filterAlpha).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return filterAlpha[k]; }
    });
});
Object.keys(filterBlur).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return filterBlur[k]; }
    });
});
Object.keys(filterColorMatrix).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return filterColorMatrix[k]; }
    });
});
Object.keys(filterDisplacement).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return filterDisplacement[k]; }
    });
});
Object.keys(filterFxaa).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return filterFxaa[k]; }
    });
});
Object.keys(filterNoise).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return filterNoise[k]; }
    });
});
Object.keys(graphics).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return graphics[k]; }
    });
});
Object.keys(mesh).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return mesh[k]; }
    });
});
Object.keys(meshExtras).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return meshExtras[k]; }
    });
});
Object.keys(particleContainer).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return particleContainer[k]; }
    });
});
Object.keys(prepare).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return prepare[k]; }
    });
});
Object.keys(sprite).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return sprite[k]; }
    });
});
Object.keys(spriteAnimated).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return spriteAnimated[k]; }
    });
});
Object.keys(spriteTiling).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return spriteTiling[k]; }
    });
});
Object.keys(spritesheet).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return spritesheet[k]; }
    });
});
Object.keys(text).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return text[k]; }
    });
});
Object.keys(textBitmap).forEach(function (k) {
    if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
        enumerable: true,
        get: function () { return textBitmap[k]; }
    });
});
//# sourceMappingURL=index.js.map
