'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('pixijs/core');
var canUseNewCanvasBlendModes = require('./canUseNewCanvasBlendModes.js');

function mapCanvasBlendModesToPixi(array = []) {
  if (canUseNewCanvasBlendModes.canUseNewCanvasBlendModes()) {
    array[core.BLEND_MODES.NORMAL] = "source-over";
    array[core.BLEND_MODES.ADD] = "lighter";
    array[core.BLEND_MODES.MULTIPLY] = "multiply";
    array[core.BLEND_MODES.SCREEN] = "screen";
    array[core.BLEND_MODES.OVERLAY] = "overlay";
    array[core.BLEND_MODES.DARKEN] = "darken";
    array[core.BLEND_MODES.LIGHTEN] = "lighten";
    array[core.BLEND_MODES.COLOR_DODGE] = "color-dodge";
    array[core.BLEND_MODES.COLOR_BURN] = "color-burn";
    array[core.BLEND_MODES.HARD_LIGHT] = "hard-light";
    array[core.BLEND_MODES.SOFT_LIGHT] = "soft-light";
    array[core.BLEND_MODES.DIFFERENCE] = "difference";
    array[core.BLEND_MODES.EXCLUSION] = "exclusion";
    array[core.BLEND_MODES.HUE] = "hue";
    array[core.BLEND_MODES.SATURATION] = "saturation";
    array[core.BLEND_MODES.COLOR] = "color";
    array[core.BLEND_MODES.LUMINOSITY] = "luminosity";
  } else {
    array[core.BLEND_MODES.NORMAL] = "source-over";
    array[core.BLEND_MODES.ADD] = "lighter";
    array[core.BLEND_MODES.MULTIPLY] = "source-over";
    array[core.BLEND_MODES.SCREEN] = "source-over";
    array[core.BLEND_MODES.OVERLAY] = "source-over";
    array[core.BLEND_MODES.DARKEN] = "source-over";
    array[core.BLEND_MODES.LIGHTEN] = "source-over";
    array[core.BLEND_MODES.COLOR_DODGE] = "source-over";
    array[core.BLEND_MODES.COLOR_BURN] = "source-over";
    array[core.BLEND_MODES.HARD_LIGHT] = "source-over";
    array[core.BLEND_MODES.SOFT_LIGHT] = "source-over";
    array[core.BLEND_MODES.DIFFERENCE] = "source-over";
    array[core.BLEND_MODES.EXCLUSION] = "source-over";
    array[core.BLEND_MODES.HUE] = "source-over";
    array[core.BLEND_MODES.SATURATION] = "source-over";
    array[core.BLEND_MODES.COLOR] = "source-over";
    array[core.BLEND_MODES.LUMINOSITY] = "source-over";
  }
  array[core.BLEND_MODES.NORMAL_NPM] = array[core.BLEND_MODES.NORMAL];
  array[core.BLEND_MODES.ADD_NPM] = array[core.BLEND_MODES.ADD];
  array[core.BLEND_MODES.SCREEN_NPM] = array[core.BLEND_MODES.SCREEN];
  array[core.BLEND_MODES.SRC_IN] = "source-in";
  array[core.BLEND_MODES.SRC_OUT] = "source-out";
  array[core.BLEND_MODES.SRC_ATOP] = "source-atop";
  array[core.BLEND_MODES.DST_OVER] = "destination-over";
  array[core.BLEND_MODES.DST_IN] = "destination-in";
  array[core.BLEND_MODES.DST_OUT] = "destination-out";
  array[core.BLEND_MODES.DST_ATOP] = "destination-atop";
  array[core.BLEND_MODES.XOR] = "xor";
  array[core.BLEND_MODES.SUBTRACT] = "source-over";
  return array;
}

exports.mapCanvasBlendModesToPixi = mapCanvasBlendModesToPixi;
//# sourceMappingURL=mapCanvasBlendModesToPixi.js.map
