import type { CanvasRenderer } from 'pixijs/renderer/canvas';
import type { ExtensionMetadata } from 'pixijs/core';
import type { Sprite } from 'pixijs/sprite';
/**
 * Types that can be passed to drawImage
 * @typedef {HTMLImageElement|HTMLVideoElement|HTMLCanvasElement|ImageBitmap} ICanvasImageSource
 * @memberof PIXI
 */
/**
 * Renderer dedicated to drawing and batching sprites.
 * @class
 * @protected
 * @memberof PIXI
 */
export declare class CanvasSpriteRenderer {
    /** @ignore */
    static extension: ExtensionMetadata;
    /** A reference to the current renderer */
    protected renderer: CanvasRenderer;
    /** @param renderer - A reference to the current renderer */
    constructor(renderer: CanvasRenderer);
    /**
     * Renders the sprite object.
     * @param sprite - the sprite to render when using this spritebatch
     */
    render(sprite: Sprite): void;
    /** destroy the sprite object */
    destroy(): void;
}
