import { settings } from 'pixijs/core';
export { settings } from 'pixijs/core';
import { DOMParser } from '@xmldom/xmldom';

const WebWorkerAdapter = {
  createCanvas: (width, height) => new OffscreenCanvas(width | 0, height | 0),
  getCanvasRenderingContext2D: () => OffscreenCanvasRenderingContext2D,
  getWebGLRenderingContext: () => WebGLRenderingContext,
  getNavigator: () => navigator,
  getBaseUrl: () => globalThis.location.href,
  getFontFaceSet: () => globalThis.fonts,
  fetch: (url, options) => fetch(url, options),
  parseXML: (xml) => {
    const parser = new DOMParser();
    return parser.parseFromString(xml, "text/xml");
  }
};
settings.ADAPTER = WebWorkerAdapter;

export { WebWorkerAdapter };
//# sourceMappingURL=adapter.mjs.map
