import { utils } from 'pixijs/core';
import { AlphaFilter } from 'pixijs/filter/alpha';
import { BlurFilter, BlurFilterPass } from 'pixijs/filter/blur';
import { ColorMatrixFilter } from 'pixijs/filter/color-matrix';
import { DisplacementFilter } from 'pixijs/filter/displacement';
import { FXAAFilter } from 'pixijs/filter/fxaa';
import { NoiseFilter } from 'pixijs/filter/noise';

const filters = {
  AlphaFilter,
  BlurFilter,
  BlurFilterPass,
  ColorMatrixFilter,
  DisplacementFilter,
  FXAAFilter,
  NoiseFilter
};
Object.entries(filters).forEach(([key, FilterClass]) => {
  Object.defineProperty(filters, key, {
    get() {
      utils.deprecation("7.1.0", `filters.${key} has moved to ${key}`);
      return FilterClass;
    }
  });
});

export { filters };
//# sourceMappingURL=filters.mjs.map
